summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Weber <xmw@gentoo.org>2010-05-01 20:22:39 +0000
committerMichael Weber <xmw@gentoo.org>2010-05-01 20:22:39 +0000
commit2effe083da266b08bf964de0d98b74d5ba4959c7 (patch)
treee729783710b3564dbe132c079164eb19092ecd13 /games-fps
parentsys-power/phc-k8: fix typo in DESCRIPTION to close bug 317153 (diff)
downloadsunrise-2effe083da266b08bf964de0d98b74d5ba4959c7.tar.gz
sunrise-2effe083da266b08bf964de0d98b74d5ba4959c7.tar.bz2
sunrise-2effe083da266b08bf964de0d98b74d5ba4959c7.zip
games-fps/assaultcube: New Ebuild for bug 162945
svn path=/sunrise/; revision=10516
Diffstat (limited to 'games-fps')
-rw-r--r--games-fps/assaultcube/ChangeLog8
-rw-r--r--games-fps/assaultcube/Manifest7
-rw-r--r--games-fps/assaultcube/assaultcube-1.0.4.ebuild94
-rw-r--r--games-fps/assaultcube/metadata.xml6
4 files changed, 115 insertions, 0 deletions
diff --git a/games-fps/assaultcube/ChangeLog b/games-fps/assaultcube/ChangeLog
new file mode 100644
index 000000000..0385ca8b5
--- /dev/null
+++ b/games-fps/assaultcube/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for games-fps/assaultcube
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 01 May 2010; Michael Weber (xmw) <gentoo@xmw.de>
+ +assaultcube-1.0.4.ebuild, +metadata.xml:
+ New Ebuild for bug 162945
+
diff --git a/games-fps/assaultcube/Manifest b/games-fps/assaultcube/Manifest
new file mode 100644
index 000000000..9d5bcf9cc
--- /dev/null
+++ b/games-fps/assaultcube/Manifest
@@ -0,0 +1,7 @@
+DIST AssaultCube_v1.0.2.tar.bz2 42673504 RMD160 d95f2d8b569aeb7e7dd9f7d654b51bae26635c54 SHA1 7b0ad8c1c3960eed59a14b22aa25d40afe080275 SHA256 d4de1b1154c8aceccc0e961b751d01fd506f359472a648b88c639f99eb18c795
+DIST AssaultCube_v1.0.4-Update.tar.bz2 3339841 RMD160 79f42b89953850e1ca58ee251593b353ef0359d7 SHA1 3e667802282955958031ca89e0c46ddb8b9c7920 SHA256 fa72e537ac29b6ba91438585b765185a6898e522c04d4c08f74910040648606c
+DIST assaultcube-1.0.4-Makefile.patch 1473 RMD160 bfb027db3a60ce7213f25dc4f77e2753098e18cb SHA1 21026dfa555991a41ad64aca02a8913d370dcd6e SHA256 b6cb7a9fef21cca67fdae70a5772494d3f670728cdb1b7260d3d690a6a3253ab
+DIST assaultcube-1.0.4-enet.patch 3788 RMD160 42326d3b8ae8041a84286602d14cf9ba66c78d64 SHA1 a4db7af1fc65e7416ab0e33c6e60f2eeb878fe4d SHA256 879ccc7cb4596f03a1622c6cc23bd0cd851595fa1f34b5dde329679ce880794d
+EBUILD assaultcube-1.0.4.ebuild 2495 RMD160 e1927ff8e53df1dbdc582e34d514f2914f9627f2 SHA1 d1f441369ea3096e0f7595526efe61063e272acf SHA256 f137c9418090a05c8dde698dfd5f258aa36e15f182d679a00dd8d22c5b6f6391
+MISC ChangeLog 246 RMD160 f807b2efe2f39ab3b85c9eea138e4a79dc84d1d7 SHA1 b2a8441663f3ec2de70b9c5ad2d133739e90b31d SHA256 ca00ca61d93b5efc1b6607f716bcf55bfd73f542e1ad37329cff99728457690e
+MISC metadata.xml 229 RMD160 f0f6417bec31ce8baba6d476664f7210c8c84c98 SHA1 e5f94f5caadc6f843fc90bb7959570cd503676fd SHA256 3b08fca3c878bdfc4e7639f477dd542d55a4ab5dce39a475e82633071d13eb3f
diff --git a/games-fps/assaultcube/assaultcube-1.0.4.ebuild b/games-fps/assaultcube/assaultcube-1.0.4.ebuild
new file mode 100644
index 000000000..1365e98a5
--- /dev/null
+++ b/games-fps/assaultcube/assaultcube-1.0.4.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit eutils games multilib toolchain-funcs
+
+DESCRIPTION="Fast and fun first-person-shooter based on the Cube fps"
+HOMEPAGE="http://assault.cubers.net"
+MY_PN="AssaultCube"
+MY_PV_BASE=1.0.2
+SRC_URI="mirror://sourceforge/actiongame/${MY_PN}_v${MY_PV_BASE}.tar.bz2
+ mirror://sourceforge/actiongame/${MY_PN}_v${PV}-Update.tar.bz2
+ https://sourceforge.net/tracker/download.php?group_id=123597&atid=697091&file_id=372520&aid=2995297 -> ${P}-Makefile.patch
+ https://sourceforge.net/tracker/download.php?group_id=123597&atid=697091&file_id=372519&aid=2995297 -> ${P}-enet.patch"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="dedicated doc opengl"
+
+RDEPEND="opengl? (
+ media-libs/libsdl
+ media-libs/libogg
+ media-libs/libvorbis
+ media-libs/openal
+ media-libs/sdl-image
+ virtual/opengl
+ x11-libs/libX11
+ )"
+DEPEND="${RDEPEND}
+ media-libs/netpbm
+ net-libs/enet"
+
+S=${WORKDIR}/${MY_PN}_v${MY_PV_BASE}
+
+pkg_setup() {
+ if ! use dedicated && ! use opengl ; then
+ eerror "You need to set USE=dedicated for game server or USE=opengl for game client."
+ die
+ fi
+}
+
+src_unpack() {
+ unpack ${MY_PN}_v${MY_PV_BASE}.tar.bz2
+ cd "${S}" || die
+ unpack ${MY_PN}_v${PV}-Update.tar.bz2
+}
+
+src_prepare() {
+ rm -r bin_unix/* source/include source/enet || die
+ find packages -name readme.txt -delete || die
+ winicontoppm icon.ico | ppmtoxpm > ${PN}.xpm || die
+
+ epatch "${DISTDIR}"/${P}-Makefile.patch
+ epatch "${DISTDIR}"/${P}-enet.patch
+
+ sed -i -e "/^CUBE_DIR=/d ; 2iCUBE_DIR=${GAMES_DATADIR}/${PN}" ${PN}.sh server.sh || die
+ sed -i -e "s:\${CUBE_DIR}/bin_unix/\${SYSTEM_NAME}\${MACHINE_NAME}:$(games_get_libdir)/${PN}/ac_:" ${PN}.sh server.sh || die
+}
+
+src_compile() {
+ emake -C source/src \
+ CC="$(tc-getCXX)" \
+ CXXOPTFLAGS="${CXXFLAGS}" \
+ $(use opengl && echo client) \
+ $(use dedicated && echo server) || die
+}
+
+src_install() {
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins -r bot config packages || die
+
+ exeinto "$(games_get_libdir)/${PN}"
+ if use opengl ; then
+ doexe source/src/ac_client || die
+ newgamesbin ${PN}.sh ${PN} || die
+ make_desktop_entry ${PN} ${MY_PN} ${PN}
+ fi
+ if use dedicated ; then
+ doexe source/src/ac_server || die
+ newgamesbin server.sh ${PN}-server || die
+ make_desktop_entry ${PN}-server "${MY_PN} Server" ${PN}
+ fi
+ insinto /usr/share/pixmaps
+ doins ${PN}.xpm || die
+
+ if use doc ; then
+ dohtml -r docs/* || die
+ fi
+
+ prepgamesdirs
+}
diff --git a/games-fps/assaultcube/metadata.xml b/games-fps/assaultcube/metadata.xml
new file mode 100644
index 000000000..e6233b5dc
--- /dev/null
+++ b/games-fps/assaultcube/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer><email>maintainer-wanted@gentoo.org</email></maintainer>
+</pkgmetadata>